package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.vo.FileExportVO;

import java.util.List;


/**
 * 离线生成文件
 *
 * @author dengjian
 * @Date 2024/11/14 9:26
 */
public interface FileExportService extends IService<FileExportVO> {

    Boolean verifyFileExportByFileName(String fileName);

    int saveFileExport(FileExportVO fileExportVO);

    int updateFileExport(FileExportVO fileExportVO);

    int deleteFileExportById(Integer id);

    IPage<FileExportVO> getFileExportList(Page page,String fileName);

    FileExportVO getFileExportById(Integer id);

}
